function [householdList] = createHouseholds(m,distVec,incomeVec,categoryVec,ageVec,wealth)
    incomeList = zeros(1,m);
    j = 1;
    for i=1:m
        incomeList(i) = lognrnd(12.5,0.6959);
        if incomeList(i) < 150000
            j = j+1;
        end
    end
    disp(j)
    incomeList = sort(incomeList);
    householdList = zeros(m,5);
    for i=1:m
        house = [0,0,0,0,0]; % [category, age, income,LTV, children]
        dist = rand(1);
        prob = 0;
        cat = 0;
        for j=1:13
            prob = prob + distVec(j);
            if dist < prob
                cat = j;
                break
            end
        end
        house(1) = categoryVec(cat);
        house(2) = round(ageVec(cat,1) + rand(1)*(ageVec(cat,2)-ageVec(cat,1)));
        incomeMedian = incomeVec(cat);
        index = 1;
        while index < length(incomeList)-1 && incomeList(index) < incomeMedian 
            index = index + 1;
        end
        aboveBelow = round(rand(1));
        if aboveBelow == 1
            if length(incomeList) > 1 
                draw = index + randi(length(incomeList)-index);
            else
                draw = 1;
            end
        else
            draw = randi(index);
        end
        house(3) = incomeList(draw);
        incomeList(draw) = [];
        if house(2) < 35 
            house(4) = wealth(1);
            wealth(1) = [];
        else
            draw = randi(length(wealth));
            house(4) = wealth(draw);
            wealth(draw) = [];
        end
        if cat > 8
            house(5) = 1;
        end
        householdList(i,:) = house;
    end
                
end

