function [newDwellings,yearBuilds] = buildDwellings(builtM,scale,priceVec, housingSize)
totalBuilt = round(sum(builtM(:)/scale));
newDwellings = zeros(totalBuilt,4);
yearBuilds = zeros(1,10);
built = 1;
for year = 0:9
    yearM = builtM(1:15,year*4+1:year*4+4);
    sumYear = sum(yearM(:));
    yearBuilds(year+1) = round(sumYear/scale);
    for house = 1:yearBuilds(year+1)
        probType = [sum(yearM(1:15,1))/sumYear,(sum(yearM(1:15,1))+sum(yearM(1:15,2)))/sumYear,(sum(yearM(1:15,1))+sum(yearM(1:15,2))+sum(yearM(1:15,3)))/sumYear,1];
        typeDraw = rand(1);
        type = 1;
        zone = 1;
        for i=1:4
            if typeDraw <= probType(i)
                type = i;
                probZone = yearM(1:15,type)/sum(yearM(1:15,type));
                draw = rand(1);
                prob = probZone(1);
                zone = 15;
                for j=1:14
                    if draw < prob 
                        zone = j;
                    break
                    end
                    prob = prob + probZone(j+1);
                end
                break
            end
        end
        new = [0,0,0,0];
        new(1) = type;
        new(3) = zone;
        new(4) = housingSize(i) + 100*rand(1);
        new(2) = (new(4))*priceVec(new(3));
        newDwellings(built,:) = new;
        built = built +1; 
     end
end
newDwellings = newDwellings(1:built-1,1:4);
for i=2:10
    yearBuilds(i) = yearBuilds(i) + yearBuilds(i-1);
end
end
